#include <stdio.h>
#include <string.h>
#include <glib.h>
#include <gtk/gtk.h>

#include <sys/types.h>
#include <unistd.h>
#include <sys/stat.h>
#include <fcntl.h>
#include <errno.h>

#include "headers.h"
#include "defines.h"


void display_usage() {
	printf("Repertoire racine + fichier initial\n");
	exit(0);
}

int main(int argc, char **argv) {
	SITE *site;
	FILE_ELEMENT *file_element;
	
	
	gtk_init(&argc, &argv);
	
	site = site_create();
	ui_generate(site);

	gtk_main();

	site_free(site);
	free(site->directory_root);

	exit(0);
}
